# -*- encoding: utf-8 -*-
# stub: aws-sdk-autoscaling 1.85.0 ruby lib

Gem::Specification.new do |s|
  s.name = "aws-sdk-autoscaling".freeze
  s.version = "1.85.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "changelog_uri" => "https://github.com/aws/aws-sdk-ruby/tree/version-3/gems/aws-sdk-autoscaling/CHANGELOG.md", "source_code_uri" => "https://github.com/aws/aws-sdk-ruby/tree/version-3/gems/aws-sdk-autoscaling" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Amazon Web Services".freeze]
  s.date = "2023-02-24"
  s.description = "Official AWS Ruby gem for Auto Scaling. This gem is part of the AWS SDK for Ruby.".freeze
  s.email = ["aws-dr-rubygems@amazon.com".freeze]
  s.files = ["CHANGELOG.md".freeze, "LICENSE.txt".freeze, "VERSION".freeze, "lib/aws-sdk-autoscaling.rb".freeze, "lib/aws-sdk-autoscaling/activity.rb".freeze, "lib/aws-sdk-autoscaling/auto_scaling_group.rb".freeze, "lib/aws-sdk-autoscaling/client.rb".freeze, "lib/aws-sdk-autoscaling/client_api.rb".freeze, "lib/aws-sdk-autoscaling/customizations.rb".freeze, "lib/aws-sdk-autoscaling/endpoint_parameters.rb".freeze, "lib/aws-sdk-autoscaling/endpoint_provider.rb".freeze, "lib/aws-sdk-autoscaling/endpoints.rb".freeze, "lib/aws-sdk-autoscaling/errors.rb".freeze, "lib/aws-sdk-autoscaling/instance.rb".freeze, "lib/aws-sdk-autoscaling/launch_configuration.rb".freeze, "lib/aws-sdk-autoscaling/lifecycle_hook.rb".freeze, "lib/aws-sdk-autoscaling/load_balancer.rb".freeze, "lib/aws-sdk-autoscaling/notification_configuration.rb".freeze, "lib/aws-sdk-autoscaling/plugins/endpoints.rb".freeze, "lib/aws-sdk-autoscaling/resource.rb".freeze, "lib/aws-sdk-autoscaling/scaling_policy.rb".freeze, "lib/aws-sdk-autoscaling/scheduled_action.rb".freeze, "lib/aws-sdk-autoscaling/tag.rb".freeze, "lib/aws-sdk-autoscaling/types.rb".freeze, "lib/aws-sdk-autoscaling/waiters.rb".freeze]
  s.homepage = "https://github.com/aws/aws-sdk-ruby".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "AWS SDK for Ruby - Auto Scaling".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<aws-sdk-core>.freeze, ["~> 3", ">= 3.165.0"])
    s.add_runtime_dependency(%q<aws-sigv4>.freeze, ["~> 1.1"])
  else
    s.add_dependency(%q<aws-sdk-core>.freeze, ["~> 3", ">= 3.165.0"])
    s.add_dependency(%q<aws-sigv4>.freeze, ["~> 1.1"])
  end
end
